<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

<xsl:template match="/*">
  <xsl:variable name="namespace" select="namespace-uri(.)"/>
  <xsl:apply-templates select="." mode="x">
    <xsl:with-param name="namespace" select="$namespace"/>
  </xsl:apply-templates>
</xsl:template>

<xsl:template match="*" mode="x">
  <xsl:param name="namespace"/>
  <xsl:choose>
    <xsl:when test="namespace-uri(.) = $namespace">
      <xsl:element name="{local-name()}">
        <xsl:apply-templates select="@*" mode="x">
          <xsl:with-param name="namespace" select="$namespace"/>
        </xsl:apply-templates>
        <xsl:apply-templates select="*" mode="x">
          <xsl:with-param name="namespace" select="$namespace"/>
        </xsl:apply-templates>
      </xsl:element>
    </xsl:when>
    <xsl:otherwise>
      <ANY-other-language/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="@*" mode="x">
 <xsl:param name="namespace"/>
 <xsl:if test="namespace-uri(.) = $namespace or namespace-uri(.)=''" >
  <xsl:attribute name="{local-name()}">
    <xsl:value-of select="."/>
  </xsl:attribute>
 </xsl:if>
</xsl:template>

</xsl:stylesheet>
